﻿using System;
using System.Collections;
using System.Collections.Generic;
using System.Linq;
using System.Linq.Expressions;
using System.Windows;
using System.Windows.Data;
using C1.WPF.DataGrid;
using System.Reflection;

namespace DataGridSamples
{
    public static class Common
    {

        public static void HandleColumnAutoGeneration(DataGridAutoGeneratingColumnEventArgs e)
        {
            if (new string[] { "Color", "ID", "ProductSubcategoryID", "Description", "GifImage" }.Contains(e.Property.Name))
            {
                e.Cancel = true;
                return;
            }
            if (e.Property.Name == "ProductModelID")
            {
                var comboCol = new DataGridComboBoxColumn(e.Property);
                var models = Data.GetModels().OrderBy(m => m.Name).ToList();
                models.Insert(0, new Model { Name = "Not specified", ProductModelID = 0 });
                comboCol.ItemsSource = models;
                comboCol.DisplayMemberPath = "Name";
                comboCol.SelectedValuePath = "ProductModelID";
                comboCol.Header = "Model";
                e.Column = comboCol;
            }
        }
    }
}
